- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exception Class Reference

Inherited by SQLException, ClassNotFoundException, IllegalMonitorStateException, IllegalStateException, InstantiationException, InterruptedException, IOException, MissingResourceException, MutexException, NoSuchElementException, PoolException, RuntimeException, ThreadException, TranscoderException, and UnknownHostException.

List of all members.

## Detailed Description

The class Exception and its subclasses indicate conditions that a reasonable application might want to catch.

## Public Member Functions
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Constructor & Destructor Documentation

Exception | ( | const char * | msg | ) |

Exception | ( | const LogString & | msg | ) |

Exception | ( | const Exception & | src | ) |

## Member Function Documentation

Exception& operator= | ( | const Exception & | src | ) |

const char* what | ( |  | ) | const throw ()

The documentation for this class was generated from the following file:

- exception.h